uniform sampler2D s_texture;
uniform lowp float u_opacity;
varying highp vec2 v_tex_uv;

void main()
{
	lowp vec4 color = texture2D(s_texture, v_tex_uv);
	color.a *= u_opacity;
	gl_FragColor = color;
}