uniform sampler2D s_texture_0;
uniform sampler2D s_texture_1;
uniform sampler2D s_texture_2;
uniform sampler2D s_texture_3;
uniform lowp float u_opacity;
varying highp vec2 v_tex_uv;

void main()
{
	highp vec2 uv;
	lowp vec4 color;
	if (v_tex_uv.x < 0.5)
	{
		if (v_tex_uv.y < 0.5)
		{
			uv.x = v_tex_uv.x * 2.0;
			uv.y = v_tex_uv.y * 2.0;
			color = texture2D(s_texture_0, uv);
		}
		else
		{
			uv.x = v_tex_uv.x * 2.0;
			uv.y = v_tex_uv.y * 2.0 - 1.0;
			color = texture2D(s_texture_2, uv);
		}
	}
	else
	{
		if (v_tex_uv.y < 0.5)
		{
			uv.x = v_tex_uv.x * 2.0 - 1.0;
			uv.y = v_tex_uv.y * 2.0;
			color = texture2D(s_texture_1, uv);
		}
		else
		{
			uv.x = v_tex_uv.x * 2.0 - 1.0;
			uv.y = v_tex_uv.y * 2.0 - 1.0;
			color = texture2D(s_texture_3, uv);
		}
	}
	color.a *= u_opacity;
	gl_FragColor = color;
}
