
uniform samplerExternalOES s_texture;
uniform sampler2D s_mask;
uniform lowp float u_opacity;
varying highp vec2 v_tex_uv;

void main()
{
	lowp vec4 color = texture2D(s_texture, v_tex_uv);
	lowp float mask = texture2D(s_mask, v_tex_uv).a;
	color.a *= u_opacity * mask;
	gl_FragColor = color;
}
