
DESTINATION_HEADER
uniform samplerExternalOES s_texture;
uniform lowp float u_opacity;
varying highp vec2 v_tex_uv;

void main()
{
	lowp vec4 color = texture2D(s_texture, v_tex_uv);
	lowp vec4 dst = DESTINATION_FETCH;

	lowp float esa = color.a * u_opacity;

	lowp vec4 value;
	value.a = SCREEN_ALPHA(esa, dst.a);
	lowp float fa = FRACTIONAL_SOURCE_ALPHA(esa, value.a);

	value.rgb = mix(dst.rgb, color.rgb, fa);

	gl_FragColor = value;
}