#ifndef T_PING_PONG
#define T_PING_PONG 1
#endif

#ifdef T_GPU_SHADER_OPENGL_ES

	precision highp float;

#else

	#define highp
	#define mediump
	#define lowp

#endif

#define DESTINATION_HEADER uniform sampler2D s_composite; varying vec2 v_dst_uv;
#define DESTINATION_FETCH texture2D(s_composite, v_dst_uv)

#define SCREEN_ALPHA(Sa,Da) ((Sa + Da) - (Sa * Da))

#define FRACTIONAL_SOURCE_ALPHA(Sa,Ra) (Ra == 0.0 ? 1.0 : Sa / Ra)

#define PIXEL_MULTIPLY_ALPHA(v) { v.rgb *= v.a; }

#define PIXEL_DIVIDE_ALPHA(v) { if (v.a != 0.0 && v.a != 1.0) v.rgb /= v.a; }
