DESTINATION_HEADER

uniform sampler2D s_mask;
uniform float u_opacity;
uniform float u_coefficient[9];
uniform vec2 u_offset[9];
varying vec2 v_mask_uv;

void main()
{
	vec4
	value  = u_coefficient[0] * texture2D(s_composite, v_dst_uv + u_offset[0]);
	value += u_coefficient[1] * texture2D(s_composite, v_dst_uv + u_offset[1]);
	value += u_coefficient[2] * texture2D(s_composite, v_dst_uv + u_offset[2]);
	value += u_coefficient[3] * texture2D(s_composite, v_dst_uv + u_offset[3]);
	value += u_coefficient[4] * texture2D(s_composite, v_dst_uv + u_offset[4]);
	value += u_coefficient[5] * texture2D(s_composite, v_dst_uv + u_offset[5]);
	value += u_coefficient[6] * texture2D(s_composite, v_dst_uv + u_offset[6]);
	value += u_coefficient[7] * texture2D(s_composite, v_dst_uv + u_offset[7]);
	value += u_coefficient[8] * texture2D(s_composite, v_dst_uv + u_offset[8]);

	float mask = texture2D(s_mask, v_mask_uv).a;
	float factor = u_opacity * mask;

	vec4 dst = texture2D(s_composite, v_dst_uv);	
	gl_FragColor = mix(dst, value, factor);
}