
#if 0
DESTINATION_HEADER
#endif

uniform samplerExternalOES s_texture;
uniform sampler2D s_mask;
uniform mediump float u_opacity;
varying highp vec2 v_tex_uv;
varying highp vec2 v_mask_uv;

void main()
{
#if 0
    mediump vec4 dst = DESTINATION_FETCH;
    mediump vec4 src = texture2D(s_texture, v_tex_uv);
    mediump float mask = texture2D(s_mask, v_mask_uv).a;

    mediump vec4 value;

    src.rgb *= src.a;   // pre-multiply source to put it in the same space as pre-multiplied dest

    mediump float esa = u_opacity * src.a;              // effective source alpha

    value.rgb = mix(dst.rgb, src.rgb, mask);            // interpolate
    value.rgb = mix(dst.rgb, value.rgb, esa * dst.a);	// alpha blend mixed result

    value.a = dst.a;                                    // defocus does not change existing dest alpha

    gl_FragColor = value;
#endif


	mediump vec4 src = texture2D(s_texture, v_tex_uv);
	mediump float mask = texture2D(s_mask, v_mask_uv).a;

    src.rgb *= src.a;   // pre-multiply source to put it in the same space as pre-multiplied dest
	src.a = u_opacity * mask;	// alpha is now opacity * mask (src alpha already applied)
	
	gl_FragColor = src;
}
