uniform sampler2D s_mask;
varying highp vec2 v_tex_uv;

void main()
{
	mediump float x = mod(gl_FragCoord.x, 40.0);
	mediump float y = mod(gl_FragCoord.y, 40.0);
    const float gray = 234.0 / 255.0; // same as Mix
	if (x >= 20.0 ^^ y >= 20.0)		// logical exclusive or, grid same as Mix
		gl_FragColor = vec4(1.0, 1.0, 1.0, 0.0);	
	else
		gl_FragColor = vec4(gray, gray, gray, 0.0);
}