DESTINATION_HEADER

attribute vec4 a_vertex;
uniform mat4 u_transform;

void main()
{
	vec4 pos = u_transform * a_vertex;
	gl_Position = pos;

#ifdef T_PING_PONG
	v_dst_uv.x = (pos.x / pos.w * 0.5) + 0.5;		// convert from device space [-1, 1] to texture 
	v_dst_uv.y = (pos.y / pos.w * 0.5) + 0.5;		// space [0, 1] of the composite destination
#endif
}
