uniform samplerExternalOES s_mask;
varying highp vec2 v_tex_uv;
uniform lowp vec4 u_color;

void main()
{
	lowp float alpha = texture2D(s_mask, v_tex_uv).r;
	lowp vec4 maskColor = vec4(u_color.r, u_color.g, u_color.b, u_color.a * alpha);		
	gl_FragColor = maskColor;					// note: requires blending 
}
