uniform sampler2D s_texture;
uniform vec2 u_offset;
varying vec2 v_tex_uv;

void main()
{
	vec4 accum = vec4(0.0, 0.0, 0.0, 0.0);
	for (int i = -13; i <= 13; ++i)		// 27 samples
	{
		vec2 offset = u_offset * ((float(i) / 27.0));
		vec2 uv = v_tex_uv + offset;
		accum += texture2D(s_texture, uv);
	}
	gl_FragColor = accum / 27.0;
}
