//uniform vec4 u_dim;
attribute vec4 a_vertex;//
attribute vec2 a_tex_uv;
varying vec3 v_tex_color;
uniform sampler2D s_texture;

void main()
{
    // version 1: use gl_VertexID to index the point - failed gl_VertexID not supported
    //int wid = u_dim.x == 0.0? 1 : int(u_dim.x);
    //int hei = u_dim.y == 0.0? 1 : int(u_dim.y);
    //int base = int(u_dim.a);
    //gl_Position.x = mod( float(gl_VertexID - base), wid ) / float( wid );
    //gl_Position.y = floor( gl_VertexID / float( wid ) ) / float( hei );

    // version 2: use the texture coord to index the point
    //gl_Position = vec4(2.0*a_tex_uv.x-1.0, a_tex_uv.y<0.5? 2.0*a_tex_uv.y-1.0 : 2.0*(1.0-a_tex_uv.y)-1.0, 1.0, 1.0);

    //gl_Position = vec4(2.0*a_tex_uv.x-1.0, 2.0*a_tex_uv.y-1.0, 1.0, 1.0);
    gl_Position = a_vertex;

    highp vec4 color = texture2D(s_texture, a_tex_uv);
    v_tex_color.xyz = color.zyx;
}
