var productIdMap = {};

var masterProductInfoList = [];
var firstthreedays = "";
var buttonText = "";
var footerText = "";
var priceArrayMonthly = "";
var priceArrayYealy = "";
var discountedAmount = "";
var productflag = "product_yearly";
var translations = {};
var promiseTranslation;
var language_country = '';
var language = '';
var isOrientationLandscape = '';
var scrollFlag = "YES";
var isiPad = (window.location.href.indexOf("ipad") > -1) ? true : false;
var MIN_SCROLL_DISTANCE=50;
var showFreeTrial = false;


function initialize()
{
	window.addEventListener("orientationchange", function () {
		if (window.orientation == 0 || window.orientation == 180 ) {
			document.getElementById("container1").style.position = "absolute";
			document.getElementById("container1").style.bottom = "0";
	     	document.getElementById("container").style.height = (window.innerHeight - document.getElementById("container1").clientHeight) + 'px';
	    }
	    else if (window.orientation == 90 || window.orientation == -90 ) {
	    	document.getElementById("container1").style.position = "absolute";
	    	document.getElementById("container1").style.bottom = "0";
	     	document.getElementById("container").style.height = (window.innerWidth - document.getElementById("container1").clientHeight) + 'px';
	    }

	});	
	document.addEventListener('contextmenu', event => event.preventDefault());
	isOrientationLandscape = window.matchMedia("(orientation:landscape)");
	var languageToCountryCode = 
        	{
	        	'cs':'cs_cz', 'cs-cz': 'cs_cz', 
	        	'da':'da_dk', 'da-dk':'da_dk',
	        	'de':'de_de', 'de-de':'de_de',
	        	'el':'el_gr', 'el-gr':'el_gr',
	        	'es':'es_es', 'es-es':'es_es',
	        	'fi':'fi_fi', 'fi-fi':'fi_fi',
	        	'fr':'fr_fr', 'fr-fr':'fr_fr',
	        	'hi':'hi_in', 'hi-IN':'hi_in',
	        	'id':'id_id', 'id-id':'id_id',
	        	'it':'it_it', 'it-it':'it_it',
	        	'ja':'ja_jp', 'ja-jp':'ja_jp',
	        	'ko':'ko_kr', 'ko-kr':'ko_kr',
	        	'lv':'lv_lv', 'lv-lv':'lv_lv',
	        	'ms':'ms_my', 'ms-my':'ms_my',
	        	'nb':'nb_no', 'nb-no':'nb_no',
	        	'nl':'nl_nl', 'nl-nl':'nl_nl',
	        	'pl':'pl_pl', 'pl-pl':'pl_pl',
	        	'pt':'pt_br', 'pt-br':'pt_br',
	        	'ro':'ro_ro', 'ro-ro':'ro_ro',
	        	'ru':'ru_ru', 'ru-ru':'ru_ru',
	        	'sv':'sv_se', 'sv-se':'sv_se',
	        	'th':'th_th', 'th-th':'th_th',
	        	'tr':'tr_tr', 'tr-tr':'tr_tr',
	        	'uk':'uk_ua', 'uk-ua':'uk_ua',
	        	'vi':'vi_vn', 'vi-vn':'vi_vn',
	        	'zh':'zh_cn', 'zh-cn':'zh_cn', 'zh-tw':'zh_tw',
	        	'zz':'zz_zz', 'zz-zz':'zz_zz',
	        	'fil':'ph_ph', 'fil-ph':'ph_ph',
	        	'tl':'ph_ph', 'tl-tl':'ph_ph'
        	};

		language = window.navigator.userLanguage || window.navigator.language;
		language = language.toLowerCase();
		var lan_code = language.split('-');

		if(language in languageToCountryCode){
			language_country = languageToCountryCode[language];
		}
		else if (lan_code[0] in languageToCountryCode){
			language_country = languageToCountryCode[lan_code[0]];
		}
		else{
			language_country = 'en_us';
		}
	
	// TODO - Code to identify if we need to use US or not
	
	// Download JS object for Language
	url = "Strings/"+ language_country+"/translation.json";
	var request = new XMLHttpRequest();
	request.open('GET', url, true);  // `false` makes the request synchronous
	request.send(null);

	promiseTranslation = new Promise((resolve, reject) => {
	 request.onreadystatechange = function () {
	        if (request.readyState === 4 && request.status === 200) {
				translations = JSON.parse(request.responseText);
				console.log("prakash " + translations);
				var paywall_strings = ['premiumText', 'selectiveEditingAbout', 'advancedSpotHealingAbout', 'grabcutMaskingAbout','layersIncompositionAbout', 'selectiveEditingText', 'advancedSpotHealingText', 'grabcutMasking','layersIncompositionText', 'terms', 'policy','disclaimer','rawEditingText','rawEditingTextAbout','manyMoreText','monthlyPlanNoTrialDisclaimer'];
										
				for (var i = 0; i < paywall_strings.length; i++) {
					localizeLabel(paywall_strings[i]);
				}
				
				document.getElementById('editorText4').innerHTML = translations['EDIT'];
				document.getElementById('editorText2').innerHTML = translations['EDIT'];
				document.getElementById('editorText3').innerHTML = translations['EDIT'];
				document.getElementById('composeText1').innerHTML = translations['COMPOSE'];
				document.getElementById('composeText2').innerHTML = translations['COMPOSE'];

				const observer = lozad();
				observer.observe();

				const pictureObserver = lozad('.lozad-picture', {
			    	threshold: 0.1
			    })

			    pictureObserver.observe();
				resolve();

				handleLayersInCompositionTagOverflow();
				handleSelectiveEditingOverflow();
				handleAdvancedHealingOverflow();
				handleRAWOverflow();

			}

		}
	
	})


	// JSS specific to iPhone 5s
	var x = window.matchMedia("(device-width:320px) and (orientation:portrait)")
	if (x.matches){
		if (language_country === "ja_jp" || language_country === "ja"){
			document.getElementById("premiumText").style.fontSize = "13px";
			document.getElementById("selectiveEditingAbout").style.fontSize = "9px";
			document.getElementById("advancedSpotHealingAbout").style.fontSize = "9px";
			document.getElementById("layersIncompositionAbout").style.fontSize = "9px";
			document.getElementById("grabcutMaskingAbout").style.fontSize = "9px";
			document.getElementById("manyMoreText").style.fontSize = "9px";
			document.getElementById("editorThemesText").style.fontSize = "13px";
			document.getElementById("selectiveEditingText").style.fontSize = "13px";
			document.getElementById("advancedSpotHealingText").style.fontSize = "13px";
			document.getElementById("layersIncompositionText").style.fontSize = "13px";
			document.getElementById("grabcutMasking").style.fontSize = "13px";
			document.getElementById("editorText2").style.fontSize = "8px";
			document.getElementById("editorText3").style.fontSize = "8px";
		}

		else if (language_country === "de_de" || language_country === "de"){
			document.getElementById("premiumText").style.fontSize = "13px";
		}

		else if (language_country === "es_es" || language_country === "fr_fr" || language_country === "id_id" || language_country === "es_mx" || language_country === "fr_ca" || 
				language_country === "cs_cz" || language_country === "pt_br" || language_country === "ph_ph" || language_country === "es"
				|| language_country === "fr" || language_country === "id" || language_country === "cs" || language_country === "pt" || language_country === "ph_ph"){
			document.getElementById("premiumText").style.fontSize = "14px";
			document.getElementById("editorThemesText").style.fontSize = "14px";
			document.getElementById("selectiveEditingText").style.fontSize = "14px";
			document.getElementById("advancedSpotHealingText").style.fontSize = "14px";
			document.getElementById("layersIncompositionText").style.fontSize = "14px";
			document.getElementById("grabcutMasking").style.fontSize = "14px";
			
		}

		else if (language_country === "nl_nl" || language_country === "nl"){
			document.getElementById("premiumText").style.fontSize = "15px";
			document.getElementById("editorThemesText").style.fontSize = "14px";
			document.getElementById("selectiveEditingText").style.fontSize = "14px";
			document.getElementById("advancedSpotHealingText").style.fontSize = "14px";
			document.getElementById("layersIncompositionText").style.fontSize = "14px";
			document.getElementById("grabcutMasking").style.fontSize = "14px";
		}

		else if (language_country === "nb_no" || language_country === "tr_tr" || language_country ==="tr" || language_country === "nb"){
			document.getElementById("premiumText").style.fontSize = "13px";
			document.getElementById("editorThemesText").style.fontSize = "13px";
			document.getElementById("selectiveEditingText").style.fontSize = "13px";
			document.getElementById("advancedSpotHealingText").style.fontSize = "13px";
			document.getElementById("layersIncompositionText").style.fontSize = "13px";
			document.getElementById("grabcutMasking").style.fontSize = "13px";
			document.getElementById('yearlyMonthlyPrice').style.fontSize = "13px";
		}

		else if (language_country === "pl_pl" || language_country === "ru_ru" || language_country === "pl" || language_country === "ru"){
			document.getElementById("premiumText").style.fontSize = "12px";
			document.getElementById("editorThemesText").style.fontSize = "12px";
			document.getElementById("selectiveEditingText").style.fontSize = "12px";
			document.getElementById("advancedSpotHealingText").style.fontSize = "12px";
			document.getElementById("layersIncompositionText").style.fontSize = "12px";
			document.getElementById("grabcutMasking").style.fontSize = "12px";
		}

		else if(language_country === "ko_kr" || language_country === "ko"){
			document.getElementById("premiumText").style.fontSize = "16px";
		}

		else if(language_country === "el_gr" || language_country === "el"){
			document.getElementById("premiumText").style.fontSize = "12px";
			document.getElementById("editorThemesText").style.fontSize = "11px";
			document.getElementById("selectiveEditingText").style.fontSize = "11px";
			document.getElementById("advancedSpotHealingText").style.fontSize = "11px";
			document.getElementById("layersIncompositionText").style.fontSize = "11px";
			document.getElementById("grabcutMasking").style.fontSize = "11px";
			document.getElementById("selectiveEditingAbout").style.fontSize = "10px";
			document.getElementById("advancedSpotHealingAbout").style.fontSize = "10px";
			document.getElementById("manyMoreText").style.fontSize = "11px";
			document.getElementById("layersIncompositionAbout").style.fontSize = "10px";
			document.getElementById("grabcutMaskingAbout").style.fontSize = "10px";
		}

		else if(language_country === "uk_ua" || language_country === "uk"){
			document.getElementById("premiumText").style.fontSize = "13px";
			document.getElementById("editorThemesText").style.fontSize = "12px";
			document.getElementById("selectiveEditingText").style.fontSize = "12px";
			document.getElementById("advancedSpotHealingText").style.fontSize = "12px";
			document.getElementById("layersIncompositionText").style.fontSize = "12px";
			document.getElementById("grabcutMasking").style.fontSize = "12px";
			document.getElementById("selectiveEditingAbout").style.fontSize = "11px";
			document.getElementById("advancedSpotHealingAbout").style.fontSize = "11px";
			document.getElementById("manyMoreText").style.fontSize = "11px";
			document.getElementById("layersIncompositionAbout").style.fontSize = "11px";
			document.getElementById("grabcutMaskingAbout").style.fontSize = "11px";
		}

	}

	// JSS specific to iPhone iPhone 6/7/8
	x = window.matchMedia("(device-width:375px) and (device-height:667px) and (orientation:portrait)")
	if (x.matches){
		if (language_country === "ja_jp" || language_country === "ja"){
			document.getElementById("premiumText").style.fontSize = "16px";
			document.getElementById("selectiveEditingAbout").style.fontSize = "10px";
			document.getElementById("advancedSpotHealingAbout").style.fontSize = "10px";
			document.getElementById("grabcutMaskingAbout").style.fontSize = "10px";
			document.getElementById("layersIncompositionAbout").style.fontSize = "10px";
			document.getElementById("manyMoreText").style.fontSize = "10px";
			document.getElementById("editorThemesText").style.fontSize = "14px";
			document.getElementById("selectiveEditingText").style.fontSize = "14px";
			document.getElementById("advancedSpotHealingText").style.fontSize = "14px";
			document.getElementById("grabcutMasking").style.fontSize = "14px";
			document.getElementById("layersIncompositionText").style.fontSize = "14px";
		}

		else if (language_country === "de_de" || language_country === "de"){
			document.getElementById("premiumText").style.fontSize = "16px";
		}

		else if (language_country === "fr_fr" || language_country === "id_id" || language_country === "cs_cz" || language_country === "fr_ca"
			|| language_country === "fr" || language_country === "id" || language_country === "cs"
			|| language_country === "nl_nl" || language_country === "pt_br" || language_country === "es_es" || language_country === "es_mx" || language_country === "ph_ph"
			|| language_country === "nl" || language_country === "pt" || language_country == "es" || language_country === "ph_ph"){
			document.getElementById("premiumText").style.fontSize = "17px";
			document.getElementById("editorThemesText").style.fontSize = "16px";
			document.getElementById("selectiveEditingText").style.fontSize = "16px";
			document.getElementById("advancedSpotHealingText").style.fontSize = "16px";
			document.getElementById("grabcutMasking").style.fontSize = "16px";
			document.getElementById("layersIncompositionText").style.fontSize = "16px";
			document.getElementById("selectiveEditingAbout").style.fontSize = "12px";
			document.getElementById("advancedSpotHealingAbout").style.fontSize = "12px";
			document.getElementById("manyMoreText").style.fontSize = "13px";
			document.getElementById("layersIncompositionAbout").style.fontSize = "12px";
			document.getElementById("grabcutMaskingAbout").style.fontSize = "12px";
		}


		else if (language_country === "nb_no" || language_country === "tr_tr" || language_country === "nb" || language_country === "tr"){
			document.getElementById("premiumText").style.fontSize = "16px";
			document.getElementById("editorThemesText").style.fontSize = "16px";
			document.getElementById("selectiveEditingText").style.fontSize = "16px";
			document.getElementById("advancedSpotHealingText").style.fontSize = "16px";
			document.getElementById("layersIncompositionText").style.fontSize = "16px";
			document.getElementById("grabcutMasking").style.fontSize = "16px";
			document.getElementById("selectiveEditingAbout").style.fontSize = "12px";
			document.getElementById("advancedSpotHealingAbout").style.fontSize = "12px";
			document.getElementById("layersIncompositionAbout").style.fontSize = "12px";
			document.getElementById("grabcutMaskingAbout").style.fontSize = "12px";
			document.getElementById("manyMoreText").style.fontSize = "13px";
		}

		else if (language_country === "pl_pl" || language_country === "ru_ru" || language_country === "pl" || language_country === "ru"){
			document.getElementById("premiumText").style.fontSize = "15px";
			document.getElementById("editorThemesText").style.fontSize = "15px";
			document.getElementById("selectiveEditingText").style.fontSize = "15px";
			document.getElementById("advancedSpotHealingText").style.fontSize = "15px";
			document.getElementById("layersIncompositionText").style.fontSize = "15px";
			document.getElementById("grabcutMasking").style.fontSize = "15px";
			document.getElementById("selectiveEditingAbout").style.fontSize = "12px";
			document.getElementById("advancedSpotHealingAbout").style.fontSize = "12px";
			document.getElementById("layersIncompositionAbout").style.fontSize = "12px";
			document.getElementById("grabcutMaskingAbout").style.fontSize = "12px";
			document.getElementById("manyMoreText").style.fontSize = "13px";
		}

		else if(language_country === "el_gr" || language_country === "el"){
			document.getElementById("premiumText").style.fontSize = "14px";
			document.getElementById("editorThemesText").style.fontSize = "13px";
			document.getElementById("selectiveEditingText").style.fontSize = "13px";
			document.getElementById("advancedSpotHealingText").style.fontSize = "13px";
			document.getElementById("layersIncompositionText").style.fontSize = "13px";
			document.getElementById("grabcutMasking").style.fontSize = "13px";
			document.getElementById("selectiveEditingAbout").style.fontSize = "11px";
			document.getElementById("advancedSpotHealingAbout").style.fontSize = "11px";
			document.getElementById("layersIncompositionAbout").style.fontSize = "11px";
			document.getElementById("grabcutMaskingAbout").style.fontSize = "11px";
			document.getElementById("manyMoreText").style.fontSize = "12px";
		}

		else if(language_country === "uk_ua" || language_country === "uk"){
			document.getElementById("premiumText").style.fontSize = "15px";
			document.getElementById("editorThemesText").style.fontSize = "12px";
			document.getElementById("selectiveEditingText").style.fontSize = "12px";
			document.getElementById("advancedSpotHealingText").style.fontSize = "12px";
			document.getElementById("layersIncompositionText").style.fontSize = "12px";
			document.getElementById("grabcutMasking").style.fontSize = "12px";
			document.getElementById("selectiveEditingAbout").style.fontSize = "11px";
			document.getElementById("advancedSpotHealingAbout").style.fontSize = "11px";
			document.getElementById("layersIncompositionAbout").style.fontSize = "11px";
			document.getElementById("grabcutMaskingAbout").style.fontSize = "11px";
			document.getElementById("manyMoreText").style.fontSize = "12px";
		}

		if (language_country === "nb_no" || language_country === "nb" || language_country ==="ru_ru" || language_country === "ru"){
			document.getElementById('yearlyMonthlyPrice').style.fontSize = "13px";
			document.getElementById('trialPeriod').style.fontSize = "13px";
			document.getElementById('monthlyPlanNoTrialDisclaimer').style.fontSize = "13px";
			document.getElementById('yearlyAmount').style.fontSize = "13px";
			document.getElementById('product_monthly').style.fontSize = "13px";
		}

	}

	// JSS specific to iPhone iPhone 6/7/8 +
	x = window.matchMedia("(device-width:414px) and (device-height:736px) and (orientation:portrait)")
	if (x.matches){
		if (language_country === "ja_jp" || language_country === "ja"){
			document.getElementById("premiumText").style.fontSize = "17px";
			document.getElementById("selectiveEditingAbout").style.fontSize = "11px";
			document.getElementById("advancedSpotHealingAbout").style.fontSize = "11px";
			document.getElementById("layersIncompositionAbout").style.fontSize = "11px";
			document.getElementById("grabcutMaskingAbout").style.fontSize = "11px";
			document.getElementById("manyMoreText").style.fontSize = "11px";
			document.getElementById("editorThemesText").style.fontSize = "16px";
			document.getElementById("selectiveEditingText").style.fontSize = "16px";
			document.getElementById("advancedSpotHealingText").style.fontSize = "16px";
			document.getElementById("layersIncompositionText").style.fontSize = "16px";
			document.getElementById("grabcutMasking").style.fontSize = "16px";
			document.getElementById("editorText2").style.fontSize = "8px";
			document.getElementById("editorText3").style.fontSize = "8px";
		}

		else if (language_country === "es_es" || language_country === "es_mx" || language_country === "es"){
			document.getElementById("premiumText").style.fontSize = "19px";
			document.getElementById("selectiveEditingAbout").style.fontSize = "13px";
			document.getElementById("advancedSpotHealingAbout").style.fontSize = "13px";
			document.getElementById("layersIncompositionAbout").style.fontSize = "13px";
			document.getElementById("grabcutMaskingAbout").style.fontSize = "13px";
			document.getElementById("manyMoreText").style.fontSize = "13px";
		}

		else if (language_country === "fr_fr" || language_country === "fr" || language_country === "fr_ca"){
			document.getElementById("premiumText").style.fontSize = "17px";
			document.getElementById("editorThemesText").style.fontSize = "16px";
			document.getElementById("selectiveEditingText").style.fontSize = "16px";
			document.getElementById("advancedSpotHealingText").style.fontSize = "16px";
			document.getElementById("layersIncompositionText").style.fontSize = "16px";
			document.getElementById("grabcutMasking").style.fontSize = "16px";
		}

		else if (language_country === "id_id" || language_country === "id"){
			document.getElementById("premiumText").style.fontSize = "19px";
			document.getElementById("editorThemesText").style.fontSize = "17px";
			document.getElementById("selectiveEditingText").style.fontSize = "17px";
			document.getElementById("advancedSpotHealingText").style.fontSize = "17px";
			document.getElementById("layersIncompositionText").style.fontSize = "17px";
			document.getElementById("grabcutMasking").style.fontSize = "17px";
		}

		else if (language_country === "nb_no" || language_country === "pl_pl" || language_country === "cs_cz"
			|| language_country === "nb" || language_country === "pl" || language_country === "cs"
			 || language_country === "ru_ru" || language_country === "tr_tr" || language_country === "el_gr" || language_country === "ph_ph"
			 || language_country === "ru" || language_country === "tr" || language_country === "el" || language_country === "ph_ph"){
			document.getElementById("premiumText").style.fontSize = "17px";
			document.getElementById("editorThemesText").style.fontSize = "16px";
			document.getElementById("selectiveEditingText").style.fontSize = "16px";
			document.getElementById("advancedSpotHealingText").style.fontSize = "16px";
			document.getElementById("layersIncompositionText").style.fontSize = "15px";
			document.getElementById("grabcutMasking").style.fontSize = "15px";
			document.getElementById("selectiveEditingAbout").style.fontSize = "12px";
			document.getElementById("advancedSpotHealingAbout").style.fontSize = "12px";
			document.getElementById("layersIncompositionAbout").style.fontSize = "12px";
			document.getElementById("grabcutMaskingAbout").style.fontSize = "12px";
			document.getElementById("manyMoreText").style.fontSize = "13px";
		}

		else if(language_country === "uk_ua" || language_country === "uk"){
			document.getElementById("premiumText").style.fontSize = "16px";
			document.getElementById("editorThemesText").style.fontSize = "14px";
			document.getElementById("selectiveEditingText").style.fontSize = "14px";
			document.getElementById("advancedSpotHealingText").style.fontSize = "14px";
			document.getElementById("layersIncompositionText").style.fontSize = "14px";
			document.getElementById("grabcutMasking").style.fontSize = "14px";
			document.getElementById("selectiveEditingAbout").style.fontSize = "12px";
			document.getElementById("advancedSpotHealingAbout").style.fontSize = "12px";
			document.getElementById("layersIncompositionAbout").style.fontSize = "12px";
			document.getElementById("grabcutMaskingAbout").style.fontSize = "12px";
			document.getElementById("manyMoreText").style.fontSize = "13px";
		}
		


	}

	// JSS specific to iPhone iPhone iPhoneX
	x = window.matchMedia("(device-width:375px) and (device-height:812px) and (orientation:portrait)")
	if (x.matches){
		if (language_country === "ja_jp" || language_country === "ja"){
			document.getElementById("premiumText").style.fontSize = "16px";
			document.getElementById("selectiveEditingAbout").style.fontSize = "10px";
			document.getElementById("advancedSpotHealingAbout").style.fontSize = "10px";
			document.getElementById("layersIncompositionAbout").style.fontSize = "10px";
			document.getElementById("grabcutMaskingAbout").style.fontSize = "10px";
			document.getElementById("manyMoreText").style.fontSize = "10px";
			document.getElementById("editorThemesText").style.fontSize = "14px";
			document.getElementById("selectiveEditingText").style.fontSize = "14px";
			document.getElementById("advancedSpotHealingText").style.fontSize = "14px";
			document.getElementById("grabcutMasking").style.fontSize = "14px";
			document.getElementById("layersIncompositionText").style.fontSize = "14px";
		}

		else if (language_country === "de_de" || language_country === "de"){
			document.getElementById("premiumText").style.fontSize = "17px";
			document.getElementById("selectiveEditingAbout").style.fontSize = "12px";
			document.getElementById("advancedSpotHealingAbout").style.fontSize = "12px";
			document.getElementById("layersIncompositionAbout").style.fontSize = "12px";
			document.getElementById("grabcutMaskingAbout").style.fontSize = "12px";
			document.getElementById("manyMoreText").style.fontSize = "12px";
		}

		else if (language_country === "es_es" || language_country === "pl_pl" || language_country === "fr_fr" || language_country === "es_mx" || language_country === "fr_ca"
			|| language_country === "es" || language_country === "pl" || language_country === "fr" || 
			language_country === "id_id" || language_country === "cs_cz" || language_country === "nl_nl" || language_country === "pt_br" || language_country === "ph_ph"
			|| language_country === "id" || language_country === "cs" || language_country === "nl" || language_country === "pt" || language_country === "ph_ph"){
			document.getElementById("premiumText").style.fontSize = "17px";
			document.getElementById("editorThemesText").style.fontSize = "16px";
			document.getElementById("selectiveEditingText").style.fontSize = "16px";
			document.getElementById("advancedSpotHealingText").style.fontSize = "16px";
			document.getElementById("layersIncompositionText").style.fontSize = "16px";
			document.getElementById("grabcutMasking").style.fontSize = "16px";
			document.getElementById("selectiveEditingAbout").style.fontSize = "12px";
			document.getElementById("advancedSpotHealingAbout").style.fontSize = "12px";
			document.getElementById("layersIncompositionAbout").style.fontSize = "12px";
			document.getElementById("grabcutMaskingAbout").style.fontSize = "12px";
			document.getElementById("manyMoreText").style.fontSize = "13px";
		}

		else if (language_country === "nb_no" || language_country === "nb"){
			document.getElementById("premiumText").style.fontSize = "16px";
			document.getElementById("editorThemesText").style.fontSize = "15px";
			document.getElementById("selectiveEditingText").style.fontSize = "15px";
			document.getElementById("advancedSpotHealingText").style.fontSize = "15px";
			document.getElementById("layersIncompositionText").style.fontSize = "15px";
			document.getElementById("grabcutMasking").style.fontSize = "15px";
			document.getElementById("selectiveEditingAbout").style.fontSize = "12px";
			document.getElementById("advancedSpotHealingAbout").style.fontSize = "12px";
			document.getElementById("layersIncompositionAbout").style.fontSize = "12px";
			document.getElementById("grabcutMaskingAbout").style.fontSize = "12px";
			document.getElementById('yearlyMonthlyPrice').style.fontSize = "13px";
			document.getElementById('trialPeriod').style.fontSize = "12px";
			document.getElementById('monthlyPlanNoTrialDisclaimer').style.fontSize = "12px";
			document.getElementById('yearlyAmount').style.fontSize = "13px";
			document.getElementById('product_monthly').style.fontSize = "13px";
			document.getElementById("manyMoreText").style.fontSize = "13px";
		}

		else if (language_country === "pl_pl" || language_country=== "el_gr" || language_country === "pl" || language_country === "el"){
			document.getElementById("premiumText").style.fontSize = "14px";
			document.getElementById("editorThemesText").style.fontSize = "14px";
			document.getElementById("selectiveEditingText").style.fontSize = "14px";
			document.getElementById("advancedSpotHealingText").style.fontSize = "14px";
			document.getElementById("layersIncompositionText").style.fontSize = "14px";
			document.getElementById("grabcutMasking").style.fontSize = "14px";
			document.getElementById("selectiveEditingAbout").style.fontSize = "12px";
			document.getElementById("advancedSpotHealingAbout").style.fontSize = "12px";
			document.getElementById("layersIncompositionAbout").style.fontSize = "12px";
			document.getElementById("grabcutMaskingAbout").style.fontSize = "12px";
			document.getElementById("manyMoreText").style.fontSize = "13px";
		}

		else if (language_country === "ru_ru" || language_country === "tr_tr" || language_country === "ru" || language_country === "tr"){
			document.getElementById("premiumText").style.fontSize = "15px";
			document.getElementById("editorThemesText").style.fontSize = "15px";
			document.getElementById("selectiveEditingText").style.fontSize = "15px";
			document.getElementById("advancedSpotHealingText").style.fontSize = "15px";
			document.getElementById("layersIncompositionText").style.fontSize = "15px";
			document.getElementById("grabcutMasking").style.fontSize = "15px";
			document.getElementById("selectiveEditingAbout").style.fontSize = "12px";
			document.getElementById("advancedSpotHealingAbout").style.fontSize = "12px";
			document.getElementById("layersIncompositionAbout").style.fontSize = "12px";
			document.getElementById("grabcutMaskingAbout").style.fontSize = "12px";
			document.getElementById("manyMoreText").style.fontSize = "13px";
		}

		else if(language_country === "uk_ua" || language_country === "uk"){
			document.getElementById("premiumText").style.fontSize = "14px";
			document.getElementById("editorThemesText").style.fontSize = "12px";
			document.getElementById("selectiveEditingText").style.fontSize = "12px";
			document.getElementById("advancedSpotHealingText").style.fontSize = "12px";
			document.getElementById("layersIncompositionText").style.fontSize = "12px";
			document.getElementById("grabcutMasking").style.fontSize = "12px";
			document.getElementById("selectiveEditingAbout").style.fontSize = "11px";
			document.getElementById("advancedSpotHealingAbout").style.fontSize = "11px";
			document.getElementById("layersIncompositionAbout").style.fontSize = "11px";
			document.getElementById("grabcutMaskingAbout").style.fontSize = "11px";
			document.getElementById("manyMoreText").style.fontSize = "12px";
		}

		if (language_country === "nb_no" || language_country === "nb" || language_country ==="ru_ru" || language_country === "ru"){
			document.getElementById('yearlyMonthlyPrice').style.fontSize = "13px";
			document.getElementById('trialPeriod').style.fontSize = "13px";
			document.getElementById('monthlyPlanNoTrialDisclaimer').style.fontSize = "13px";
			document.getElementById('yearlyAmount').style.fontSize = "13px";
			document.getElementById('product_monthly').style.fontSize = "13px";
		}

	}

	// JSS specific to iPhone iPhone iPhone XS Max/XR portrait
	x = window.matchMedia("(device-width:414px) and (device-height:896px) and (orientation:portrait)")
	if (x.matches){
		if (language_country === "ja_jp" || language_country === "ja"){
			document.getElementById("premiumText").style.fontSize = "17px";
			document.getElementById("selectiveEditingAbout").style.fontSize = "11px";
			document.getElementById("advancedSpotHealingAbout").style.fontSize = "11px";
			document.getElementById("layersIncompositionAbout").style.fontSize = "11px";
			document.getElementById("grabcutMaskingAbout").style.fontSize = "11px";
			document.getElementById("manyMoreText").style.fontSize = "11px";
			document.getElementById("editorThemesText").style.fontSize = "16px";
			document.getElementById("selectiveEditingText").style.fontSize = "16px";
			document.getElementById("advancedSpotHealingText").style.fontSize = "16px";
			document.getElementById("layersIncompositionText").style.fontSize = "16px";
			document.getElementById("grabcutMasking").style.fontSize = "16px";
			document.getElementById("editorText2").style.fontSize = "8px";
			document.getElementById("editorText3").style.fontSize = "8px";
		}

		else if (language_country === "es_es" || language_country === "es" || language_country === "es_mx"){
			document.getElementById("premiumText").style.fontSize = "19px";
			document.getElementById("selectiveEditingAbout").style.fontSize = "13px";
			document.getElementById("advancedSpotHealingAbout").style.fontSize = "13px";
			document.getElementById("layersIncompositionAbout").style.fontSize = "13px";
			document.getElementById("grabcutMaskingAbout").style.fontSize = "13px";
			document.getElementById("manyMoreText").style.fontSize = "13px";
		}

		else if (language_country === "fr_fr" || language_country === "fr" || language_country === "fr_ca"){
			document.getElementById("premiumText").style.fontSize = "17px";
			document.getElementById("editorThemesText").style.fontSize = "16px";
			document.getElementById("selectiveEditingText").style.fontSize = "16px";
			document.getElementById("advancedSpotHealingText").style.fontSize = "16px";
			document.getElementById("layersIncompositionText").style.fontSize = "16px";
			document.getElementById("grabcutMasking").style.fontSize = "16px";
		}

		else if (language_country === "id_id" || language_country === "id"){
			document.getElementById("premiumText").style.fontSize = "19px";
			document.getElementById("editorThemesText").style.fontSize = "17px";
			document.getElementById("selectiveEditingText").style.fontSize = "17px";
			document.getElementById("advancedSpotHealingText").style.fontSize = "17px";
			document.getElementById("layersIncompositionText").style.fontSize = "17px";
			document.getElementById("grabcutMasking").style.fontSize = "17px";
		}

		else if (language_country === "nb_no" || language_country === "pl_pl" || language_country === "cs_cz"
			|| language_country === "nb" || language_country === "pl" || language_country === "cs"
			 || language_country === "ru_ru" || language_country === "tr_tr" || language_country === "el_gr" || language_country === "ph_ph"
			 || language_country === "ru" || language_country === "tr" || language_country === "el" || language_country === "ph_ph"){
			document.getElementById("premiumText").style.fontSize = "17px";
			document.getElementById("editorThemesText").style.fontSize = "16px";
			document.getElementById("selectiveEditingText").style.fontSize = "16px";
			document.getElementById("advancedSpotHealingText").style.fontSize = "16px";
			document.getElementById("layersIncompositionText").style.fontSize = "15px";
			document.getElementById("grabcutMasking").style.fontSize = "15px";
			document.getElementById("selectiveEditingAbout").style.fontSize = "12px";
			document.getElementById("advancedSpotHealingAbout").style.fontSize = "12px";
			document.getElementById("layersIncompositionAbout").style.fontSize = "12px";
			document.getElementById("grabcutMaskingAbout").style.fontSize = "12px";
			document.getElementById("manyMoreText").style.fontSize = "13px";
		}

		else if(language_country === "uk_ua" || language_country === "uk"){
			document.getElementById("premiumText").style.fontSize = "16px";
			document.getElementById("editorThemesText").style.fontSize = "14px";
			document.getElementById("selectiveEditingText").style.fontSize = "14px";
			document.getElementById("advancedSpotHealingText").style.fontSize = "14px";
			document.getElementById("layersIncompositionText").style.fontSize = "14px";
			document.getElementById("grabcutMasking").style.fontSize = "14px";
			document.getElementById("selectiveEditingAbout").style.fontSize = "12px";
			document.getElementById("advancedSpotHealingAbout").style.fontSize = "12px";
			document.getElementById("layersIncompositionAbout").style.fontSize = "12px";
			document.getElementById("grabcutMaskingAbout").style.fontSize = "12px";
			document.getElementById("manyMoreText").style.fontSize = "13px";
		}
	}

	if(language_country === "ko_kr" || language_country === "ja_jp" || language_country === "zh_cn" ||  language_country === "ko" || language_country === "ja" 
		|| language_country === "zh_tw" || language_country === "zh" || language_country === "zh_hans" || language_country === "zh_hant"){
		document.getElementById("editorText2").style.fontSize = "10px";
		document.getElementById("editorText2").style.paddingTop = "3px";
		document.getElementById("editorText2").style.paddingBottom = "3px";
		document.getElementById("editorText3").style.fontSize = "10px";
		document.getElementById("editorText3").style.paddingTop = "3px";
		document.getElementById("editorText3").style.paddingBottom = "3px";
		document.getElementById("composeText1").style.fontSize = "10px";
		document.getElementById("composeText1").style.paddingTop = "3px";
		document.getElementById("composeText1").style.paddingBottom = "3px";
		document.getElementById("composeText2").style.fontSize = "10px";
		document.getElementById("composeText2").style.paddingTop = "3px";
		document.getElementById("composeText2").style.paddingBottom = "3px";

	}
	function localizeLabel(labelId) {
    	document.getElementById(labelId).innerHTML = translations[labelId];
    }
}

function scrollOnBottomIndicatorClick() {
    document.getElementById('container').scrollBy({top:200, behavior:'smooth'});
}

function handleWidthOverflow(tagId)
{
	document.getElementById(tagId).style.position = "relative";
	document.getElementById(tagId).style.marginLeft = "0px";
	document.getElementById(tagId).style.marginTop = "10px";
	document.getElementById(tagId).style.marginBottom = "10px";
}

function isWidthOverflow(id){
	var d = document.getElementById(id);

	if (d.offsetWidth < d.scrollWidth) {
		return true;
	} else {
	  return false;
	}

}

function showPremiumFeatures(featureList) {
	
	for(var index = 0; index < featureList.length; index++){
		if(featureList[index].startsWith('composition')){
			document.getElementById('grabcutMaskingDiv').style.display = "block";
			document.getElementById('grabcutMaskingAbout').style.display = "block";
			document.getElementById('layersIncompositionTextDiv').style.display = "block";
			document.getElementById('layersIncompositionAbout').style.display = "block";
			document.getElementById('layersImage').style.display = "block";
			handleLayersInCompositionTagOverflow();
		}
		else if(featureList[index].startsWith('xcapture')){
			document.getElementById('captureCard').style.display = "block";
		}
		else if(featureList[index] === "editor.local.corrections")
		{
			document.getElementById('selectiveEditingTextDiv').style.display = "block";
			document.getElementById('selectiveEditingAbout').style.display = "block";
			document.getElementById('selectiveEditingImage').style.display = "block";
			handleSelectiveEditingOverflow();
		}
	}
}

function onPlanSelected(){
    var message = {
        "action": "onPlanSelected",
        "product_id": productflag
    }

    AndroidJSBridge.postMessage(JSON.stringify(message));
}

function cancel() {
	var message =
	{
		"action": "cancel"
	}

	AndroidJSBridge.postMessage(JSON.stringify(message));
}

function subscribe() {
	var message =
	{
		"action": "continue",
		"product_id": productIdMap[productflag]
	}
	AndroidJSBridge.postMessage(JSON.stringify(message));
}

function restorePurchase() {
	var message =
	{
		"action": "restore_purchase"
	}
	AndroidJSBridge.postMessage(JSON.stringify(message));
}

function privacyPolicy() {
	var message =
	{
		"action": "privacy_policy"
	}
	AndroidJSBridge.postMessage(JSON.stringify(message));
}

function termsOfUse() {
	var message =
	{
		"action": "terms_of_use"
	}
	AndroidJSBridge.postMessage(JSON.stringify(message));
}

function paywall_scroll_performed() {
    if (document.getElementById('container').scrollTop>=MIN_SCROLL_DISTANCE) {
        document.getElementById("scrollGifContainer").style.display='none';
    }
	if (scrollFlag === 'YES') {
		scrollFlag = 'NO';
		var message =
		{
			"action": "paywall_scroll_performed"
		}

		AndroidJSBridge.postMessage(JSON.stringify(message));
	}
}

function handleSelectiveEditingOverflow(){
    if(isWidthOverflow("selectiveEditingTextDiv")){
        handleWidthOverflow("editorText2");
    }
}

function handleAdvancedHealingOverflow(){
   if(isWidthOverflow("advancedSpotHealingHeading")){
       handleWidthOverflow("editorText3");
   }
}

function handleRAWOverflow(){
   if(isWidthOverflow("rawEditHeading")){
       handleWidthOverflow("editorText4");
   }
}

function handleLayersInCompositionTagOverflow()
{
	if(isWidthOverflow("layersIncompositionTextDiv")){
		handleWidthOverflow("composeText2");
	}
}

function fixProductsCardsPadding()
{
	var adjustment = document.getElementById("savePercent").offsetHeight/2+'px';
	document.getElementById('yearlyBorder').style.paddingTop = '0px';
	document.getElementById('yearlyBorder').style.paddingBottom = adjustment;
	document.getElementById('monthlyBorder').style.paddingTop = adjustment;
	document.getElementById('monthlyBorder').style.paddingBottom = adjustment;
}

function adjustScrollIndicator(){
    var footerHeight = document.getElementById("container1").offsetHeight;
    document.getElementById('scrollGifContainer').style.bottom = footerHeight+'px';
}

function changeRadioImage(productInfo){
	if(masterProductInfoList.length == 2){
		if (productInfo === 'product_yearly') {
			document.getElementById("yearlySection").src = "resources/Radio_blue.png";
			document.getElementById("monthlySection").src = "resources/Radio_black.png";
			document.getElementById('yearlyBorder').style.borderColor = "#2A99D091";
			document.getElementById('monthlyBorder').style.borderColor = "#393939";
			document.getElementById("button-primary").innerHTML = buttonText.bold();
			document.getElementById("disclaimer").innerHTML = footerText;
			productflag = 'product_yearly';
		}
		else if (productInfo === 'product_monthly'){
			document.getElementById("monthlySection").src = "resources/Radio_blue.png";
			document.getElementById("yearlySection").src = "resources/Radio_black.png";
			document.getElementById('yearlyBorder').style.borderColor = "#393939";
			document.getElementById('monthlyBorder').style.borderColor = "#2A99D091";
			document.getElementById("button-primary").innerHTML = translations['Continue'].bold();
			document.getElementById("disclaimer").innerHTML = translations['monthlyPlanBottomDisclaimer'];
			productflag = 'product_monthly';
		}
	}
}

function updateProductInfo(info) {
	var existing = masterProductInfoList.find(ob => ob.productId === info.productId);
	if(existing) {
		var index = masterProductInfoList.indexOf(existing);
		masterProductInfoList[index] = info;
	} else {
		masterProductInfoList.push(info);
	}
	updateUIBasedOnProductInfo(masterProductInfoList);
}

function formatPriceUsingCurrencyCode(price, currencyCode){
	return Intl.NumberFormat(language, { style: 'currency', currency: currencyCode}).format(price);
}

function updateUIBasedOnProductInfo(productInfoList){
	productInfoList = [...productInfoList];

	promiseTranslation.then(() => {
		var iPhoneXResolution = window.matchMedia("(device-width:375px) and (device-height:812px) and (orientation:portrait)")
		var iPhoneXSMaxResolution = window.matchMedia("(device-width:414px) and (device-height:896px) and (orientation:portrait)")

		document.getElementById('button-primary').disabled = false;
		var monthlydiscountedPrice;

		if (productInfoList.length == 1){

			document.getElementById("unlockPremiumText").style.display = "block";
			productIdMap[productInfoList[0].productPeriod] = productInfoList[0].productId;

			// TODO: trial period changes for single product
			//document.getElementById("trialPeriod").innerHTML = translations['yearlyTrial'].replace("$TRIAL_PERIOD$", productInfoList[0].freeTrial);
			buttonText = translations['Continue'];

			if (productInfoList[0].productPeriod === "product_monthly"){
				
				if (language === 'ru-ru' || language === 'ru'){
					var priceArray = productInfoList[0].formattedPrice.split(" ");
					var priceInfo = priceArray[0];
					var bottomFreeText = translations['GetTrialText'].replace("$PRICE$", priceInfo.bold()).replace("$SUBSCRIPTION_PERIOD$",priceArray[2].bold()).replace("$TRIAL_PERIOD$",productInfoList[0].freeTrial.bold());
					document.getElementById("monthlySingleProductLabel").innerHTML = bottomFreeText;
				}
				else if (language === 'tr-tr' || language === 'tr'){
					var priceArray = productInfoList[0].formattedPrice.split(" ");
					var priceInfo = priceArray[1];
					var bottomFreeText = translations['GetTrialText'].replace("$PRICE$", priceInfo.bold()).replace("$SUBSCRIPTION_PERIOD$",priceArray[0].bold()).replace("$TRIAL_PERIOD$",productInfoList[0].freeTrial.bold());
					document.getElementById("monthlySingleProductLabel").innerHTML = bottomFreeText;
				}

				else if (language === 'zh-tw' || language === 'zh' || language === 'zh-hant'){
					
					var priceArray = productInfoList[0].formattedPrice.split(" ");
					var priceInfo = priceArray[1];
					var bottomFreeText = translations['GetTrialText'].replace("$PRICE$", priceInfo.bold()).replace("$SUBSCRIPTION_PERIOD$",priceArray[0].bold()).replace("$TRIAL_PERIOD$",productInfoList[0].freeTrial.bold());
					document.getElementById("monthlySingleProductLabel").innerHTML = bottomFreeText;
				}

				else{
					var priceArray = productInfoList[0].formattedPrice.split("/");
					var priceInfo = priceArray[0];
					var bottomFreeText = translations['GetTrialText'].replace("$PRICE$", priceInfo.bold()).replace("$SUBSCRIPTION_PERIOD$",priceArray[1].bold()).replace("$TRIAL_PERIOD$",productInfoList[0].freeTrial.bold());
					document.getElementById("monthlySingleProductLabel").innerHTML = bottomFreeText;
				}

				document.getElementById("button-primary").innerHTML = buttonText.bold();
				document.getElementById("disclaimer").innerHTML = translations['monthlyPlanBottomDisclaimer'];
				document.getElementById("monthlySingleProduct").style.display = "block";
				productflag = 'product_monthly';
			}

			else if(productInfoList[0].productPeriod === "product_yearly"){
				document.getElementById('yearlySingleProductHeader').innerHTML = translations['singleProductHeader'];
				var formattedYearlyPrice = formatPriceUsingCurrencyCode(productInfoList[0].price, productInfoList[0].currencyCode);
				var yearlySingleProductValue = translations['yearlySingleProduct'].replace("$PRICE$", formattedYearlyPrice);
				document.getElementById('yearlySingleProductLabel').innerHTML = yearlySingleProductValue.bold();
				monthlydiscountedPrice = formatPriceUsingCurrencyCode((parseFloat(productInfoList[0].price)/12).toFixed(2), productInfoList[0].currencyCode);			
				document.getElementById('yearlySingleProductMonthlyPrice').innerHTML = translations['yearlySingleProductMonthlyPrice'].replace("$DICOUNTEDPRICE$", monthlydiscountedPrice);
				footerText = translations['yearlyPlanNoTrialBottomDisclaimer'];
				if(productInfoList[0].freeTrial){
					buttonText = translations['buttonPrimary'];
					footerText = translations['trialPlanBottomDisclaimer'];
				}
				document.getElementById("button-primary").innerHTML = buttonText.bold();
				document.getElementById("disclaimer").innerHTML = footerText;
				document.getElementById("yearlySingleProduct").style.display = "block";
				productflag = 'product_yearly';
			}
		}

		else if(productInfoList.length == 2){
			var monthlyText = '';
			var discountPercentage = '';
			var monthlyPrice = '';
			

			document.getElementById("unlockPremiumText").style.display = "none";
			document.getElementById("yearlySingleProduct").style.display = "none";
			document.getElementById("monthlySingleProduct").style.display = "none";
			
			productflag = 'product_yearly';

			for (var i = productInfoList.length - 1; i >= 0; i--) {

				document.getElementById("unlockPremiumLabel").style.display = "none";

	   			productIdMap[productInfoList[i].productPeriod] = productInfoList[i].productId;

				if (productInfoList[i].productPeriod === "product_monthly"){
					monthlyPrice = productInfoList[i].price;
					monthlyText = translations['monthlyPlan'].replace("$PRICE$", formatPriceUsingCurrencyCode(monthlyPrice,productInfoList[i].currencyCode));
					document.getElementById("product_monthly").innerHTML = monthlyText.bold();
					document.getElementById("monthlyBorder").style.display = "block";
				}

				else if(productInfoList[i].productPeriod === "product_yearly"){
					showFreeTrial = productInfoList[i].freeTrial.length > 0;
					footerText = translations['yearlyPlanNoTrialBottomDisclaimer'];
					if(showFreeTrial){
						document.getElementById("trialPeriod").innerHTML = translations['yearlyTrial'].replace("$TRIAL_PERIOD$", productInfoList[i].freeTrial);
						document.getElementById("trialPeriod").style.display='block';
						document.getElementById("monthlyPlanNoTrialDisclaimer").style.display='block';
						buttonText = translations['buttonPrimary'];
						footerText = translations['trialPlanBottomDisclaimer'];
						var elements = document.getElementsByClassName('radioImage');
						for(var index=0; index<elements.length; index++){
							elements[index].style.verticalAlign='super';
						}
					}

					monthlydiscountedPrice = (parseFloat(productInfoList[i].price)/12).toFixed(2);
					var formattedMonthlydiscountedPrice = formatPriceUsingCurrencyCode(monthlydiscountedPrice, productInfoList[i].currencyCode);
					
					document.getElementById("yearlyMonthlyPrice").innerHTML = translations['yearlyPlan'].replace("$DICOUNTEDPRICE$", formattedMonthlydiscountedPrice);
					
					var formattedYearlyPrice = formatPriceUsingCurrencyCode(productInfoList[i].price,productInfoList[i].currencyCode);
					var yearlyAmount = translations['totalYearlyPrice'].replace("$PRICE$", formattedYearlyPrice);
					yearlyAmount = yearlyAmount + "&lrm;" ;
					document.getElementById("product_yearly").innerHTML = yearlyAmount.bold();

					document.getElementById("yearlyBorder").style.display = "block";

	   			}
			}
			discountPercentage = ((((parseFloat(monthlyPrice)-parseFloat(monthlydiscountedPrice))/parseFloat(monthlyPrice)).toFixed(2)) * 100).toFixed(0);
			document.getElementById("savePercent").innerHTML = translations['discountPercentage'].replace("$DISCOUNT$", discountPercentage);
			document.getElementById("product_yearly").click();
			// set max height for disclaimer text
			var disclaimer = document.getElementById("disclaimer");
			disclaimer.style.height = disclaimer.offsetHeight+"px";
			//fixing padding of product cards.
			fixProductsCardsPadding();
		}

		if(iPhoneXResolution.matches){
			document.getElementById("container").style.height = (window.innerHeight - document.getElementById("container1").clientHeight - document.getElementById("container2").clientHeight - 8) + 'px';
		}
		else if(iPhoneXSMaxResolution.matches){
			document.getElementById("container").style.height = (window.innerHeight - document.getElementById("container1").clientHeight - document.getElementById("container2").clientHeight - 5) + 'px';
		}
		else if(isOrientationLandscape.matches){
			document.getElementById("container").style.height = (window.innerHeight - document.getElementById("container1").clientHeight) + 'px';
		}
		else{
			document.getElementById("container").style.height = (window.innerHeight - document.getElementById("container1").clientHeight) + 'px';
		}

		if (language_country === 'ru_ru' || language_country === 'fr_fr' || language_country === 'fr_ca' || language_country === 'id_id'){
			document.getElementById("button-primary").style.fontSize = "14px";
		}
		if (!isiPad && language_country === 'uk_ua')
		{
			document.getElementById("product_yearly").style.marginTop = "2px";
			document.getElementById("product_yearly").style.top = "10%";
		}
		if (isiPad)
		{
			if ((language_country === 'pt_br' || language_country === 'fi_fi'))
			{
				document.getElementById("product_yearly").style.marginTop = "2px";
				document.getElementById("product_yearly").style.top = "10%";
			}
			else if (language_country === 'uk_ua')
			{
				document.getElementById("product_yearly").style.marginTop = "0px";
				document.getElementById("product_yearly").style.top = "8%";
			}
		}
		adjustScrollIndicator();
	})
}


