#version 300 es
#extension GL_OES_EGL_image_external_essl3 : require

precision highp float;

in vec2 vTextureCoord;

uniform lowp samplerExternalOES uSampler;
uniform float uOpacity; // PSX MOD: added param to accept existing rendering parameters
out vec4 fragmentColor;

void main(void)
{
    highp vec4 col = texture(uSampler, vTextureCoord.st);
    fragmentColor = col * uOpacity;
}

// Modified from: https://git.corp.adobe.com/lightroom/VideoFoundation/blob/main/Android/VFPlayerLib/src/main/assets/video-foundation/shaders/vfCaptureSourceSimple.glsl
